<?php
require_once 'db.php';

class tasas extends conn { 
var $tasas;
//Metodo para mostrar todas las tasas
public function getAlltasas()
{
$conn = parent::crearconn();
$sql = " SELECT * FROM tasa_dolar WHERE `Estado` = '1'"; 

$result = $conn->query($sql);
$tasas = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $tasas[] = $row;
       }   
    }   
    return $tasas;
}  
//Metodo para mostrar la tasa actual
public function vertasatual()
{
$conn = parent::crearconn();
$sql = "SELECT Tasa from tasa_dolar where Fecha > curdate() && `Estado` = '1'";
$result = $conn->query($sql);
$tasas = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $tasas[] = $row;
       }   
    }   
    return $tasas;
}    
//Metodo para poder usar la columna tasa y poder hacer multiplicacion con una cantidad
public function multiplicartasa()
{
$conn = parent::crearconn();
$sql = "SELECT Tasa from tasa_dolar where Fecha > curdate() && `Estado` = '1'";
$result = $conn->query($sql);
 $tasas = null; // Inicializa la variable $tasas
   if ($result->num_rows > 0) {
     $row = $result->fetch_assoc();
         $tasas = $row['Tasa'];
    }   
    return $tasas;
} 
   
//Metodo para registrar una tasa
public function savetasa($tasa)
{
$conn = parent::crearconn();
$tasa= $conn->real_escape_string($tasa); 
$sql = "INSERT INTO tasa_dolar (Fecha,Tasa) values(now(),'$tasa')";
$result = $conn->query($sql);
    return $result;
}

//Metodo para editar una tasa
public function updatetasa($tasaId,$editasa)
{ 
$conn = parent::crearconn();
mysqli_query ($conn, "UPDATE `tasa_dolar` SET  `Tasa`  = '$editasa' WHERE `ID_Tasa` = '$tasaId' ");
mysqli_close($conn);
}

//Metodo para eliminar una tasa
public function deletetasa($tasaId)
{
$conn = parent::crearconn();
$tasaId = $conn->real_escape_string($tasaId);
$sql = "UPDATE `tasa_dolar` set `Estado` = '0' WHERE `ID_Tasa` = '$tasaId'";
$resultado = $conn->query($sql);
return $resultado;
} 

//Metodo para mostrar todas las tasas eliminadas
public function getAlltasasElim()
{
$conn = parent::crearconn();
$sql = " SELECT * FROM tasa_dolar WHERE `Estado` = '0'"; 

$result = $conn->query($sql);
$tasas = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $tasas[] = $row;
       }   
    }   
    return $tasas;
}

//Metodo para restaurar una tasa
public function restaurartasa($tasaId)
{
$conn = parent::crearconn();
$tasaId = $conn->real_escape_string($tasaId);
$sql = "UPDATE `tasa_dolar` set `Estado` = '1' WHERE `ID_Tasa` = '$tasaId'";
$resultado = $conn->query($sql);
return $resultado;
} 
}
?>